%define upstream_name    Net-XWhois
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Extensible client framework for doing Whois queries and parsing server response
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
The Net::XWhois class provides an extensible client framework for
doing Whois queries and parsing server response. The class maintains
an array of whois servers and associated lists of top level domains
for transparently selecting servers appropriate for different queries.
Supports response caching and comes with a drop-in replacement for
the whois program. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO ARTISTIC contribs/*
%{perl_vendorlib}/Net/*
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.900.0-11.mga10
+ Revision: 2200039
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.900.0-10.mga9
+ Revision: 1805004
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.900.0-9.mga8
+ Revision: 1496085
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.900.0-8.mga7
+ Revision: 1270200
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-7.mga6
+ Revision: 1031341
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.900.0-6.mga6
+ Revision: 947405
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.900.0-5.mga5
+ Revision: 744064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.900.0-4.mga5
+ Revision: 685747
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.900.0-3.mga4
+ Revision: 513606
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-2.mga3
+ Revision: 370984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 26744
- mageia rebuild
- imported package perl-Net-XWhois


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.0-1mdv2010.0
+ Revision: 407946
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.90-7mdv2009.0
+ Revision: 258138
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.90-6mdv2009.0
+ Revision: 246209
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.90-4mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.90-4mdv2007.0
+ Revision: 108469
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Net-XWhois

